com.hazelcast.wan

## Interface WanReplicationPublisher

- All Known Subinterfaces:
    WanReplicationEndpoint

      public interface WanReplicationPublisher

  This interface offers the implementation of different kinds of replication techniques like TCP, UDP or maybe even an JMS based service

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkWanReplicationQueues()` Checks the size of the WAN replication queue and throws an exception if it has been reached or crossed.
    `void` | `publishReplicationEvent(String serviceName, ReplicationEventObject eventObject)` Publish the `eventObject` WAN replication event.
    `void` | `publishReplicationEvent(WanReplicationEvent wanReplicationEvent)` Publishes the `wanReplicationEvent` on this publisher.
    `void` | `publishReplicationEventBackup(String serviceName, ReplicationEventObject eventObject)` Publish the `eventObject` WAN replication event backup.

- - ### Method Detail

    - #### publishReplicationEvent

          void publishReplicationEvent(String serviceName,
                                       ReplicationEventObject eventObject)

      Publish the `eventObject` WAN replication event. The event may be dropped if queue capacity has been reached.
      Parameters:
        `serviceName` - the service publishing the event
        `eventObject` - the replication event

    - #### publishReplicationEventBackup

          void publishReplicationEventBackup(String serviceName,
                                             ReplicationEventObject eventObject)

      Publish the `eventObject` WAN replication event backup. The event may be dropped if queue capacity has been reached.
      Parameters:
        `serviceName` - the service publishing the event
        `eventObject` - the replication backup event

    - #### publishReplicationEvent

          void publishReplicationEvent(WanReplicationEvent wanReplicationEvent)

      Publishes the `wanReplicationEvent` on this publisher. This can be used to forward received events on the target cluster.
      Parameters:
        `wanReplicationEvent` - the WAN event to publish

    - #### checkWanReplicationQueues

          void checkWanReplicationQueues()

      Checks the size of the WAN replication queue and throws an exception if it has been reached or crossed.
      Throws:
        `WANReplicationQueueFullException` - if queue capacity has been reached and `WanPublisherConfig.getQueueFullBehavior()` is set to `WANQueueFullBehavior.THROW_EXCEPTION`

Copyright © 2019. All rights reserved.